<script>
import ScreenSwitch from './ScreenSwitch'
import ScreenLight from './ScreenLight'
import ScreenVolume from './ScreenVolume'
import DeviceNetwork from './DeviceNetwork'
import DeviceSwitch from './DeviceSwitch'
import DeviceReboot from './DeviceReboot'
// import DeviceTime from './DeviceTime'
// import DeviceRestore from './DeviceRestore'

export default {
  name: 'DeviceInvoke',
  components: {
    ScreenSwitch,
    ScreenLight,
    ScreenVolume,
    DeviceNetwork,
    DeviceSwitch,
    DeviceReboot/* ,
    DeviceTime,
    DeviceRestore */
  },
  render (h) {
    return h(
      'div',
      { staticClass: 'l-grid--info small' },
      __STAGING__
        ? [
          h('DeviceNetwork', { props: this.$attrs }),
          h('DeviceSwitch', { props: this.$attrs }),
          h('ScreenSwitch', { props: this.$attrs }),
          h('DeviceReboot', { props: this.$attrs }),
          h('ScreenLight', { props: this.$attrs }),
          h('ScreenVolume', { props: this.$attrs })
        ]
        : [
          h('DeviceReboot', { props: this.$attrs })
        ]
    )
  }
}
</script>
